----------------------------------------------------------------------
-- |
-- Module      :  Control.Functor.Contra
-- Copyright   :  (c) Nicolas Frisby 2010
-- License     :  http://creativecommons.org/licenses/by-sa/3.0/
-- 
-- Maintainer  :  nicolas.frisby@gmail.com
-- Stability   :  experimental
-- Portability :  Haskell98
-- 
-- Yet another Cofunctor class declaration -- all the definitions on hackage
-- carry so much luggage (which mostly subsumes the rest of this package)!
----------------------------------------------------------------------

module Control.Functor.Contra where

class Cofunctor f where
  cofmap :: (b -> a) -> f a -> f b
